From 4198845c1b7cd5e0ab11ae73f6fc1562be5ff5e4 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 22 2017 17:21:45 +0000
Subject: [PATCH 761/1001] Fix unit tests


---

diff --git a/hubs/tests/test_fedora_hubs_flask_api.py b/hubs/tests/test_fedora_hubs_flask_api.py
index dc3da86..97c4911 100644
--- a/hubs/tests/test_fedora_hubs_flask_api.py
+++ b/hubs/tests/test_fedora_hubs_flask_api.py
@@ -227,13 +227,14 @@ class HubsAPITest(hubs.tests.APPTest):
             result = self.app.get('/ralph/add?position=right',
                                   follow_redirects=True)
         self.assertEqual(result.status_code, 200)
-        expected_str = 'Adding a widget to hub: ralph'
-        self.assertIn(expected_str, result.get_data(as_text=True))
-        expected_str = "url: 'add/' + $('#widget').val() + '?position=right',"
-        self.assertIn(expected_str, result.get_data(as_text=True))
+        page_html = result.get_data(as_text=True)
+        self.assertIn('Adding a widget to hub: ralph', page_html)
+        self.assertIn('<form method="post" action="/ralph/add">', page_html)
+        self.assertIn('<input type="hidden" name="position" value="right" />',
+                      page_html)
 
     def test_hub_add_widget_post_no_widget_name(self):
-        data = {}
+        data = {"position": "left"}
         user = tests.FakeAuthorization('ralph')
         with tests.auth_set(app, user):
             result = self.app.post('/ralph/add', data=data, follow_redirects=False)
@@ -242,7 +243,8 @@ class HubsAPITest(hubs.tests.APPTest):
         self.assertIn(expected_str, result.get_data(as_text=True))
 
     def test_hub_add_widget_post_invalid_widget_name(self):
-        data = {'widget_name': 'invalid_widget_name'}
+        data = {'widget': 'invalid_widget_name',
+                'position': 'right'}
         user = tests.FakeAuthorization('ralph')
         with tests.auth_set(app, user):
             result = self.app.post('/ralph/add', data=data, follow_redirects=False)
@@ -253,31 +255,36 @@ class HubsAPITest(hubs.tests.APPTest):
     def test_hub_add_widget_post_valid_widget_name_no_args(self):
         user = tests.FakeAuthorization('ralph')
         with tests.auth_set(app, user):
-            data = {'widget_name': 'about'}
+            data = {
+                'widget': 'memberships',
+                'position': 'right',
+                }
             result = self.app.post('/ralph/add', data=data)
-            self.assertEqual(result.status_code, 302)
-            self.assertEqual(urlparse(result.location).path, "/ralph/edit")
+            self.assertEqual(result.status_code, 200)
+            self.assertEqual(
+                json.loads(result.get_data(as_text=True)),
+                {"status": "ADDED"})
+            #self.assertEqual(urlparse(result.location).path, "/ralph/edit")
             result = self.app.get('/ralph/edit')
             self.assertEqual(result.status_code, 200)
-            expected_str = '<h6 class="dropdown-header">Account Information</h6>'
-            self.assertIn(expected_str, result.get_data(as_text=True))
-            expected_str = '<a href="#" class="dropdown-item">Full Name: fullname: ralph</a>'
-            self.assertIn(expected_str, result.get_data(as_text=True))
+            page_html = result.get_data(as_text=True)
+            self.assertIn('data-url="/ralph/w/memberships/', page_html)
 
     def test_hub_add_widget_post_valid_widget_name_with_args(self):
         user = tests.FakeAuthorization('ralph')
         with tests.auth_set(app, user):
-            data = {'widget_name': 'about', 'text': 'text of widget'}
-            result = self.app.post('/ralph/add', data=data,
+            data = {
+                'text': 'text of widget',
+                'position': 'right',
+                }
+            result = self.app.post('/ralph/add/about', data=data,
                                    follow_redirects=False)
             self.assertEqual(result.status_code, 302)
             self.assertEqual(urlparse(result.location).path, "/ralph/edit")
             result = self.app.get('/ralph/edit')
             self.assertEqual(result.status_code, 200)
-            expected_str = '<h6 class="dropdown-header">Account Information</h6>'
-            self.assertIn(expected_str, result.get_data(as_text=True))
-            expected_str = '<a href="#" class="dropdown-item">Full Name: fullname: ralph</a>'
-            self.assertIn(expected_str, result.get_data(as_text=True))
+            page_html = result.get_data(as_text=True)
+            self.assertIn('data-url="/ralph/w/about/', page_html)
 
     def test_hub_edit_widget_get_logged_in(self):
         user = tests.FakeAuthorization('ralph')
@@ -299,7 +306,7 @@ class HubsAPITest(hubs.tests.APPTest):
             url = '/ralph/37/edit'
             result = self.app.post(url, data=data, follow_redirects=False)
             self.assertEqual(result.status_code, 302)
-            self.assertEqual(urlparse(result.location).path, '/ralph/')
+            self.assertEqual(urlparse(result.location).path, '/ralph/edit')
 
     def test_hub_visit_counter_logged_in(self):
         user = tests.FakeAuthorization('ralph')

